com.h3c.sdn.adm.dao.model

## Class RegionEntity

- java.lang.Object
- - com.h3c.sdn.adm.dao.model.RegionEntity

- All Implemented Interfaces:
    Storable<UUID>

      @Entity
      public class RegionEntity
      extends Object
      implements Storable<UUID>

  Region persistence representation.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `RegionEntity.EmbeddableControlledDevice` Embeddable controlled entity.
    `static class` | `RegionEntity.EmbeddableController` Embeddable controller node.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RegionEntity()`
    `RegionEntity(UUID uid, ControllerNode master)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Set<ControlledEntity>` | `getControlledDevices()`
    `UUID` | `getId()` Gets the internally-assigned identifier used for intra-model references.
    `ControllerNode` | `getMaster()`
    `Set<ControllerNode>` | `getSlaves()`
    `void` | `setControlledDevices(Set<ControlledEntity> controlledEntities)`
    `void` | `setMaster(ControllerNode master)`
    `void` | `setSlaves(Set<ControllerNode> slaves)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RegionEntity

          public RegionEntity()

    - #### RegionEntity

          public RegionEntity(UUID uid,
                      ControllerNode master)

  - ### Method Detail

    - #### getId

          public UUID getId()

      Description copied from interface: `Storable`
      Gets the internally-assigned identifier used for intra-model references. This identifier is generated internally by the persistence layer and is assumed to be unique per object type, and hence per database table.
      Specified by:
        `getId` in interface `Storable<UUID>`
      Returns:
        internal object identifier suitable as a table lookup key

    - #### setMaster

          public void setMaster(ControllerNode master)

    - #### getMaster

          public ControllerNode getMaster()

    - #### setSlaves

          public void setSlaves(Set<ControllerNode> slaves)

    - #### getSlaves

          public Set<ControllerNode> getSlaves()

    - #### setControlledDevices

          public void setControlledDevices(Set<ControlledEntity> controlledEntities)

    - #### getControlledDevices

          public Set<ControlledEntity> getControlledDevices()

Copyright © 2014. All Rights Reserved.